### Method

# Gtk MediaFileget_file

#### Declaration [src]

    GFile*
    gtk_media_file_get_file (
      GtkMediaFile* self
    )

#### Description [src]

Returns the file that `self` is currently playing from.

When `self` is not playing or not playing from a file, `NULL` is returned.

Gets property | `Gtk.MediaFile:file`

#### Return value

Type: `GFile`

The currently playing file.

The data is owned by the instance.
The return value can be `NULL`.